Description

It would be so convinient and productive if redMine supports keyboard shortcuts like Trac or some nifty web apps.
For example, press Ctrl+R to preview, Ctrl+S to submit, Ctrl+/ to enter search text, ...

To support above, we would only need to add "accesskey" attribute to elements (like input, a).

Thanks,

Related issues:

Related to Redmine - Feature #6846: Add VIM-like keyboard shortcuts New 2010-11-08
Related to Redmine - Defect #7878: Most keyboard shortcuts don't work on OS X Closed 2011-03-15
Related to Redmine - Patch #18692: Access keys for previous (p)/next (n) links Closed

Related to Redmine - Feature #27412: Document supported HTML access keys Closed

Related to Redmine - Patch #28025: Access project jump box with hotkey New

Related to Redmine - Feature #29473: Submit a form with Ctrl+Enter / Command-+... Closed

Has duplicate Redmine - Feature #27401: Switch from View ticket to Edit Ticke... Closed

Associated revisions

Revision 804 - 2007-10-05 20:05 - Jean-Philippe Lang
Added some accesskeys:
® e => edit
r => preview

L]
e f=> quick search
® 4 => search

History

#1 - 2007-10-05 14:07 - Jean-Philippe Lang
Added the following accesskeys in r804:

® e => edit

e r => preview

¢ f=> quick search

e 4 => search
Reopen this request if you have any other proposal.
#2 - 2010-11-23 17:34 - Paolo Sulprizio
- Status changed from Closed to Reopened
It would be useful to write in the "title" attribute of every "a" tag with an accesskey a description of the keyboard shortcut, for instance: "Bold (Ctrl+B)".
CTRL+AIt+P => go to projet
In Issue edit:
Ctrl+Alt+S => Focus on Status

Ctrl+Alt+A => Choose file to attach popup (if is possible)

In "Notes" area:
Ctrl+P => pre
https://www.redmine.org/projects/redmine/repository/svn/revisions/804

Less important:
Ctrl+B => Bold
Ctrl+l => ltalic
Ctrl+U => Underline

#3 - 2011-03-15 18:51 - Etienne Massip
- Category set to Ul

#4 - 2014-02-11 08:37 - Maxim Borzov

Up!

Today every modern platforms support hotkeys... All except favorite Redmine.
#5 - 2014-05-08 01:48 - Szabolcs Szasz

And, generally, for editing/updating stuff:

Ctrl+Enter => Submit

#6 - 2014-12-21 06:18 - Go MAEDA
- Related to Patch #18692: Access keys for previous (p)/next (n) links added

#7 - 2015-03-03 08:58 - Aleksandr Ch

Some hotkeys (for example: Ctrl+Enter) implemented here: https:/github.com/sasha-ch/redmine_hotkeys_js
Bugreports, feature requests and pull requests are welcome.

#8 - 2015-05-11 19:36 - Aleksandr Ch

+ Ctrl+Alt+P: project list select open (use jquery.select2 plugin)

#9 - 2015-08-05 16:18 - Aleksandr Ch

+ "ArrowDown", "ArrowUp", "Space", "Enter" to quickly navigate issues list

#10 - 2017-11-09 02:45 - Mischa The Evil
- Has duplicate Feature #27401: Switch from View ticket to Edit Ticket - hit the button E on your keyboard added

#11 - 2017-12-08 11:53 - Toshi MARUYAMA
- Related to Feature #27412: Document supported HTML access keys added

#12 - 2018-01-20 01:51 - Go MAEDA
- Related to Patch #28025: Access project jump box with hotkey added

#13 - 2018-09-02 02:05 - Go MAEDA
- Related to Feature #29473: Submit a form with Ctrl+Enter / Command+Return added

#14 - 2018-12-18 19:11 - Davide Giacometti

| have implemented some shortcuts in Redmine Shortcuts Plugin.

#15 - 2020-09-04 21:26 - Martin von Wittich

Our helpdesk Zammad has hotkeys for copying the ticket ID along with URL and title which | find extremely useful:

Ctrl+Shift+.. copies the ticket ID and title (#449: Redmine: Keyboard shortcuts)
Ctrl+Shift+... copies the ticket ID, title and URL (https://www.redmine.org/issues/449 Redmine: Keyboard shortcuts)

Ctrl+Shift+. copies only the ticket ID (#449)
4.

We probably send up to a hundred Redmine ticket links in our company chat every day; a way to easily include the project and ticket title seems
extremely useful to me.

#16 - 2025-06-17 11:09 - Anthony Loiseau

Indeed, copying a clickable "#number" (or "Task #34892" don't care) hypertext from a very direct button or from a shortcut would be so useful. Is there
a plugin implementing this meanwhile?

2025-07-13 22


https://github.com/sasha-ch/redmine_hotkeys_js
https://www.redmine.org/plugins/redmine_shortcuts
https://zammad.com
https://user-docs.zammad.org/en/latest/advanced/keyboard-shortcuts.html
https://www.redmine.org/issues/449
https://www.redmine.org/issues/449
https://www.redmine.org/issues/449
https://www.redmine.org/issues/34892
http://www.tcpdf.org

